{

    "AbilityName" : "FierySerpent_Teleport__1_LockOnPoint",

    "AbilityStacking":"Unique",



    "OnAbilityStart":

    [

        {

            "$type": "MoleMole.CreateSavePointAction",

            "Target": "Self",

            "PointName":"FierySerpent_TeleportPoint_1",

            "TargetPosRot" : 

            {

                "CoordsOption" : "Target",

                "TargetOption" : 

                {

                    "$type" : "MoleMole.ConfigPosRotReferTarget",

                    "OffsetReferTarget" : "LocalAvatar",

                },

                "Offset" : 

                {

                    "PositionOffset" : {"x":0.0, "y":0.0, "z":1.5},

                    "AngleOffset" : {"x":0.0, "y":0.0, "z":0.0},

                    "RandomPositionRange" : {"x":2.0, "y":0.0, "z":2.0},

                    "RandomAngleRange" : {"x":0.0, "y":0.0, "z":0.0},

                    "IsClampOffsetDistance" : false,

                },

            },

        },

    ],

}